#pragma once

#include <QString>

namespace Tool
{

inline QString qHexStr1(unsigned long hr) {return QString("%1").arg(hr, 0, 16);}

bool setSingleInstance(const QString &key);

QString getVersion();
void cleanOldVersion();

bool isWireless(const char *ifname);

bool isSequenceList(QList<int> data, int difference=2);

QStringList getWPSProductkeys(QString productkeyPath);

int randBetween(int low, int high);
}
